<?php
/**
* Noting Found Page Settings.
*
* @package Cleaning Maintenance
*/

$cleaning_maintenance_default = cleaning_maintenance_get_default_theme_options();

$wp_customize->add_section( 'cleaning_maintenance_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Nothing Found Page Settings', 'cleaning-maintenance' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'cleaning_maintenance_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'cleaning-maintenance' ),
        'section'  => 'cleaning_maintenance_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'cleaning-maintenance' ),
        'section'  => 'cleaning_maintenance_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('cleaning_maintenance_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
);
$wp_customize->add_control('cleaning_maintenance_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'cleaning-maintenance'),
        'section' => 'cleaning_maintenance_noting_found_page_settings',
        'type' => 'checkbox',
    )
);